# Ogre::KeyListener Class Reference

`#include <OgreEventListeners.h>`

Inheritance diagram for Ogre::KeyListener:

List of all members.

## Public Member Functions

virtual void | keyClicked (KeyEvent *e)=0
| Invoked when the key has been clicked on a component.
virtual void | keyPressed (KeyEvent *e)=0
| Invoked when a key button has been pressed on a component.
virtual void | keyReleased (KeyEvent *e)=0
| Invoked when a key button has been released on a component.
virtual void | keyFocusIn (KeyEvent *e)
| Invoked when the target receives the keyboard focus.
virtual void | keyFocusOut (KeyEvent *e)
| Invoked when the target loses the keyboard focus.

## Member Function Documentation

virtual void Ogre::KeyListener::keyClicked | ( | KeyEvent * | e | ) | `[pure virtual]`

| Invoked when the key has been clicked on a component.

virtual void Ogre::KeyListener::keyFocusIn | ( | KeyEvent * | e | ) | `[virtual]`

| Invoked when the target receives the keyboard focus. Definition at line 116 of file OgreEventListeners.h.

virtual void Ogre::KeyListener::keyFocusOut | ( | KeyEvent * | e | ) | `[virtual]`

| Invoked when the target loses the keyboard focus. Definition at line 120 of file OgreEventListeners.h.

virtual void Ogre::KeyListener::keyPressed | ( | KeyEvent * | e | ) | `[pure virtual]`

| Invoked when a key button has been pressed on a component.

virtual void Ogre::KeyListener::keyReleased | ( | KeyEvent * | e | ) | `[pure virtual]`

| Invoked when a key button has been released on a component.

The documentation for this class was generated from the following file:

- OgreEventListeners.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:25 2006